Update a page
curl --request PATCH \
--url https://{domain}/api/v1/biolinks/pages/{page} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"title": "Acme Studio",
"slug": "acme",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "@acmestudio",
"tagline": "<string>",
"theme": "<string>",
"hide_branding": true,
"avatar_color": "#4F46E5",
"appearance": {
"font_override": "<string>",
"accent": "#4F46E5"
},
"settings": {
"seo": {
"title": "<string>",
"description": "<string>",
"image": "<string>",
"noindex": true
},
"protection": {
"password": "<string>",
"clear_password": true,
"sensitive": true
},
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>"
},
"pixels": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://{domain}/api/v1/biolinks/pages/{page}"
payload = {
"title": "Acme Studio",
"slug": "acme",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "@acmestudio",
"tagline": "<string>",
"theme": "<string>",
"hide_branding": True,
"avatar_color": "#4F46E5",
"appearance": {
"font_override": "<string>",
"accent": "#4F46E5"
},
"settings": {
"seo": {
"title": "<string>",
"description": "<string>",
"image": "<string>",
"noindex": True
},
"protection": {
"password": "<string>",
"clear_password": True,
"sensitive": True
},
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>"
},
"pixels": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
}
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Acme Studio',
slug: 'acme',
domain: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
handle: '@acmestudio',
tagline: '<string>',
theme: '<string>',
hide_branding: true,
avatar_color: '#4F46E5',
appearance: {font_override: '<string>', accent: '#4F46E5'},
settings: {
seo: {title: '<string>', description: '<string>', image: '<string>', noindex: true},
protection: {password: '<string>', clear_password: true, sensitive: true},
utm: {source: '<string>', medium: '<string>', campaign: '<string>'},
pixels: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
})
};
fetch('https://{domain}/api/v1/biolinks/pages/{page}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/v1/biolinks/pages/{page}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Acme Studio',
'slug' => 'acme',
'domain' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'handle' => '@acmestudio',
'tagline' => '<string>',
'theme' => '<string>',
'hide_branding' => true,
'avatar_color' => '#4F46E5',
'appearance' => [
'font_override' => '<string>',
'accent' => '#4F46E5'
],
'settings' => [
'seo' => [
'title' => '<string>',
'description' => '<string>',
'image' => '<string>',
'noindex' => true
],
'protection' => [
'password' => '<string>',
'clear_password' => true,
'sensitive' => true
],
'utm' => [
'source' => '<string>',
'medium' => '<string>',
'campaign' => '<string>'
],
'pixels' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/v1/biolinks/pages/{page}"
payload := strings.NewReader("{\n \"title\": \"Acme Studio\",\n \"slug\": \"acme\",\n \"domain\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"handle\": \"@acmestudio\",\n \"tagline\": \"<string>\",\n \"theme\": \"<string>\",\n \"hide_branding\": true,\n \"avatar_color\": \"#4F46E5\",\n \"appearance\": {\n \"font_override\": \"<string>\",\n \"accent\": \"#4F46E5\"\n },\n \"settings\": {\n \"seo\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"image\": \"<string>\",\n \"noindex\": true\n },\n \"protection\": {\n \"password\": \"<string>\",\n \"clear_password\": true,\n \"sensitive\": true\n },\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\"\n },\n \"pixels\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{domain}/api/v1/biolinks/pages/{page}")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Acme Studio\",\n \"slug\": \"acme\",\n \"domain\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"handle\": \"@acmestudio\",\n \"tagline\": \"<string>\",\n \"theme\": \"<string>\",\n \"hide_branding\": true,\n \"avatar_color\": \"#4F46E5\",\n \"appearance\": {\n \"font_override\": \"<string>\",\n \"accent\": \"#4F46E5\"\n },\n \"settings\": {\n \"seo\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"image\": \"<string>\",\n \"noindex\": true\n },\n \"protection\": {\n \"password\": \"<string>\",\n \"clear_password\": true,\n \"sensitive\": true\n },\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\"\n },\n \"pixels\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/v1/biolinks/pages/{page}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Acme Studio\",\n \"slug\": \"acme\",\n \"domain\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"handle\": \"@acmestudio\",\n \"tagline\": \"<string>\",\n \"theme\": \"<string>\",\n \"hide_branding\": true,\n \"avatar_color\": \"#4F46E5\",\n \"appearance\": {\n \"font_override\": \"<string>\",\n \"accent\": \"#4F46E5\"\n },\n \"settings\": {\n \"seo\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"image\": \"<string>\",\n \"noindex\": true\n },\n \"protection\": {\n \"password\": \"<string>\",\n \"clear_password\": true,\n \"sensitive\": true\n },\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\"\n },\n \"pixels\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"revision": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_url": "<string>",
"title": "<string>",
"handle": "<string>",
"tagline": "<string>",
"theme": "<string>",
"status": "active",
"disabled": true,
"verified": true,
"hide_branding": true,
"avatar_color": "<string>",
"appearance": {},
"has_password": true,
"settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Pages
Update a page
Fields you leave out keep their values. status and blocks are refused here: use Set page status and the block endpoints.
Required permission: biolinks:pages:write
Changing an active page also needs biolinks:pages:publish.
PATCH
/
pages
/
{page}
Update a page
curl --request PATCH \
--url https://{domain}/api/v1/biolinks/pages/{page} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"title": "Acme Studio",
"slug": "acme",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "@acmestudio",
"tagline": "<string>",
"theme": "<string>",
"hide_branding": true,
"avatar_color": "#4F46E5",
"appearance": {
"font_override": "<string>",
"accent": "#4F46E5"
},
"settings": {
"seo": {
"title": "<string>",
"description": "<string>",
"image": "<string>",
"noindex": true
},
"protection": {
"password": "<string>",
"clear_password": true,
"sensitive": true
},
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>"
},
"pixels": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://{domain}/api/v1/biolinks/pages/{page}"
payload = {
"title": "Acme Studio",
"slug": "acme",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "@acmestudio",
"tagline": "<string>",
"theme": "<string>",
"hide_branding": True,
"avatar_color": "#4F46E5",
"appearance": {
"font_override": "<string>",
"accent": "#4F46E5"
},
"settings": {
"seo": {
"title": "<string>",
"description": "<string>",
"image": "<string>",
"noindex": True
},
"protection": {
"password": "<string>",
"clear_password": True,
"sensitive": True
},
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>"
},
"pixels": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
}
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Acme Studio',
slug: 'acme',
domain: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
handle: '@acmestudio',
tagline: '<string>',
theme: '<string>',
hide_branding: true,
avatar_color: '#4F46E5',
appearance: {font_override: '<string>', accent: '#4F46E5'},
settings: {
seo: {title: '<string>', description: '<string>', image: '<string>', noindex: true},
protection: {password: '<string>', clear_password: true, sensitive: true},
utm: {source: '<string>', medium: '<string>', campaign: '<string>'},
pixels: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
})
};
fetch('https://{domain}/api/v1/biolinks/pages/{page}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/v1/biolinks/pages/{page}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Acme Studio',
'slug' => 'acme',
'domain' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'handle' => '@acmestudio',
'tagline' => '<string>',
'theme' => '<string>',
'hide_branding' => true,
'avatar_color' => '#4F46E5',
'appearance' => [
'font_override' => '<string>',
'accent' => '#4F46E5'
],
'settings' => [
'seo' => [
'title' => '<string>',
'description' => '<string>',
'image' => '<string>',
'noindex' => true
],
'protection' => [
'password' => '<string>',
'clear_password' => true,
'sensitive' => true
],
'utm' => [
'source' => '<string>',
'medium' => '<string>',
'campaign' => '<string>'
],
'pixels' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/v1/biolinks/pages/{page}"
payload := strings.NewReader("{\n \"title\": \"Acme Studio\",\n \"slug\": \"acme\",\n \"domain\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"handle\": \"@acmestudio\",\n \"tagline\": \"<string>\",\n \"theme\": \"<string>\",\n \"hide_branding\": true,\n \"avatar_color\": \"#4F46E5\",\n \"appearance\": {\n \"font_override\": \"<string>\",\n \"accent\": \"#4F46E5\"\n },\n \"settings\": {\n \"seo\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"image\": \"<string>\",\n \"noindex\": true\n },\n \"protection\": {\n \"password\": \"<string>\",\n \"clear_password\": true,\n \"sensitive\": true\n },\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\"\n },\n \"pixels\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{domain}/api/v1/biolinks/pages/{page}")
.header("If-Match", "<if-match>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Acme Studio\",\n \"slug\": \"acme\",\n \"domain\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"handle\": \"@acmestudio\",\n \"tagline\": \"<string>\",\n \"theme\": \"<string>\",\n \"hide_branding\": true,\n \"avatar_color\": \"#4F46E5\",\n \"appearance\": {\n \"font_override\": \"<string>\",\n \"accent\": \"#4F46E5\"\n },\n \"settings\": {\n \"seo\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"image\": \"<string>\",\n \"noindex\": true\n },\n \"protection\": {\n \"password\": \"<string>\",\n \"clear_password\": true,\n \"sensitive\": true\n },\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\"\n },\n \"pixels\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/v1/biolinks/pages/{page}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["If-Match"] = '<if-match>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Acme Studio\",\n \"slug\": \"acme\",\n \"domain\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"handle\": \"@acmestudio\",\n \"tagline\": \"<string>\",\n \"theme\": \"<string>\",\n \"hide_branding\": true,\n \"avatar_color\": \"#4F46E5\",\n \"appearance\": {\n \"font_override\": \"<string>\",\n \"accent\": \"#4F46E5\"\n },\n \"settings\": {\n \"seo\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"image\": \"<string>\",\n \"noindex\": true\n },\n \"protection\": {\n \"password\": \"<string>\",\n \"clear_password\": true,\n \"sensitive\": true\n },\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\"\n },\n \"pixels\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"revision": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_url": "<string>",
"title": "<string>",
"handle": "<string>",
"tagline": "<string>",
"theme": "<string>",
"status": "active",
"disabled": true,
"verified": true,
"hide_branding": true,
"avatar_color": "<string>",
"appearance": {},
"has_password": true,
"settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthapiKeyHeader
A workspace API key: Authorization: Bearer osk_...
Headers
The current revision in quotes, from the resource's ETag. Missing returns 428; out of date returns 412.
Example:
"\"a1b2c3\""
Path Parameters
Page ID.
Body
application/json
Maximum string length:
120Example:
"Acme Studio"
Maximum string length:
60Example:
"acme"
A connected domain ID. Leave empty for the default domain.
Maximum string length:
120Example:
"@acmestudio"
Maximum string length:
280A theme from Get the catalogue.
Pattern:
^#[0-9a-fA-F]{6}$Example:
"#4F46E5"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
Success
Show child attributes
Show child attributes